Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script.rhino
Class WindowWrapper.GetURLFunctionWrapper

    java.lang.Object
      org.apache.batik.script.rhino.WindowWrapper.GetURLFunctionWrapper

All Implemented Interfaces:
  Window.URLResponseHandler

Enclosing class:
  WindowWrapper

    protected static class WindowWrapper.GetURLFunctionWrapper

extends Object
implements Window.URLResponseHandler

To wrap a function passed to getURL().

Field Summary
`protected Function` | `function` The function wrapper.
`protected RhinoInterpreter` | `interpreter` The current interpreter.
`protected WindowWrapper` | `windowWrapper` The WindowWrapper

Constructor Summary
`WindowWrapper.GetURLFunctionWrapper(RhinoInterpreter ri, Function fct, WindowWrapper ww)` Creates a wrapper.

Method Summary
`void` | `getURLDone(boolean success, String mime, String content)` Called before 'getURL()' returns.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interpreter

    protected RhinoInterpreter interpreter

  The current interpreter.

### function

    protected Function function

  The function wrapper.

### windowWrapper

    protected WindowWrapper windowWrapper

  The WindowWrapper

Constructor Detail

### WindowWrapper.GetURLFunctionWrapper

    public WindowWrapper.GetURLFunctionWrapper(RhinoInterpreter ri,
                                               Function fct,
                                               WindowWrapper ww)

  Creates a wrapper.

Method Detail

### getURLDone

    public void getURLDone(boolean success,
                           String mime,
                           String content)

  Called before 'getURL()' returns.

  Specified by:
    `getURLDone` in interface `Window.URLResponseHandler`
  Parameters:
    `success` - Whether the data was successfully retreived.
    `mime` - The data MIME type.
    `content` - The data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.